Hardware & Software Requirements

 

The following explains the hardware and software requirements for the new online banking system. Please take a moment and make sure your desktop, tablet or mobile device meets these requirements to ensure a secure, optimal experience.

The following table provides a key to the symbols used below; blank spaces in a table indicate incompatibility.

Symbol key

Compatibility Symbol Description
Recommended Provides the ideal experience
Minimally compatible May create a slightly different appearance or behavior
Wi-Fi   Not compatible

 

System requirements

The computer you use must meet the following minimum requirements:

  • Standard PC or Mac® with at least 1-GHz processor and 1 GB of RAM.
  • Available browser updates applied for improved security that provide anti-virus spyware protection.
  • Microsoft® Windows® Vista Service Pack (SP) 2 and 3. Microsoft Windows 7/8/10, or Mac OS X. 


  • Note: Microsoft stopped supporting Windows XP and SP compatible Internet Explorer (IE) in April 2014, including security updates. XP users who do not upgrade their operating systems should replace IE with Google Chrome for an up-to-date, secure Internet browser.


  • Cable, Digital Subscriber Line (DSL), or Integrated Services for Digital Network (ISDN) Internet connection. (Dial-up connections are not supported.)


  • Note: Satellite connections often have difficulty supporting encrypted, Hypertext Transfer Protocol Secure (HTTPS) applications. Since online banking is HTTPS-encrypted for the safety of your financial institution, some satellite cable connections may exhibit slow responses.

     

     

    Display requirements

    Desktop and laptop displays can be any height but must support at least a 1300-pixel width. Otherwise the end user will need to scroll horizontally to see the entire user interface.

     

     

    PDF reader requirements

    We recommend the most recent version of Adobe® Reader® available for desktop and mobile devices, unless your e-statement provider recommends a prior version. If you choose to use a third-party PDF vendor, we cannot guarantee documents will appear as intended.

     

     

    Browser requirements

    Browser support is subject to change with little to no notice and we encourage end users to configure browsers for automatic updates. Use the most recent versions available for the browsers listed in the following table for the most secure experience in online banking. End users that try to log in without a compatible browser will be redirected to a website to download a new version of the browser.

     

    Note: For the most secure and consistent experience on mobile devices and tablets, use our mobile app instead of mobile browsers. See the Mobile App requirements section below for more information. 



    Some minimally supported browsers, as listed below, may show minor behavorial or cosmetic differences for online banking, but will generally support that application's features and functionality.

     

    PC browser compatibility

    Browser Windows Vista SP 2 and 3 Windows 7 and 8.1 Windows 10
    Google Chrome 37 and later
    Micosoft Internet Explorer 11.X
    Micosoft Edge™
    Mozilla® Firefox® 33 and later

    Note the following details about the PC browser compatibility table:
  • Microsoft Windows 7 SP 1 is required for Internet Explorer 11 support.
  • Microsoft Windows 8.1 is required for Internet Explorer 11.
  • Online Banking is not compatible with Safari® on Microsoft Windows, as Apple discontinued development of security patches for Microsoft Windows. However, online banking is compatible with Safari on Mac OS X 10.8, as shown in the next table.


    Mac browser compatibility

    Browser Mac OS X 10.6 - 10.11
    Google Chrome 37 and later
    Safari 6-8
    Safari 9
    Mozilla Firefox 33 and later



    Mobile App requirements

    This section describes the operating systems, connection types, and camera resolutions that are compatible with the Q2mobility Apps that end users can download from the Apple Store (for IOS devices) or Google Play (for Android™ devices).

  • A valid email address and telephone number are required.
  • The mobile app functionw best when the GPS or native mapping app (also calledsLocation Services) is enabled.
  • Mobile browsers, such as Safari, are not supported. Use a the mobile app instead.

  • When requesting customer support for the mobile app, please identify the model and operating system of the device and, if applicable, confirm that the camera is rear-facing.


    Android™ compatibility

    Version UUX 4.X
    Android 4.0.3 and later


    Apple iOS compatibility

    Version UUX 4.X
    iOS 7.X
    iOS 8.X
    iOS 9.X
    iOS 10.X


    The following mobile operating systems are not compatible with the mobile app
  • Windows Phone®
  • Blackberry®
  • Kindle Fire™


  • Mobile connectivity

    Connectivity UUX 4.X
    3G
    4G LTE
    Wi-Fi


    Note: Devices that do not have Location Services or native mapping applications do not support branch/ATM location functionality.


    A mobile device with a rear-facing camera is required to deposit checks with the mobile remote deposit capture (mRDC) functionality in the mobile app. The following table provides camera resolution compatibility for the mobile app.


    mRDC camera compatibility

    Camera resolution UUX 4.X
    Less than 1.9 megapixels
    1.9-4.9 megapixels
    5 megapixels or higher